%define i18n_version 0.11

Name: k3b
Version: 0.11.14
Release: 2
Epoch: 0
Summary: CD/DVD burning application for KDE

Group: Applications/Archiving
License: GPL
URL: http://www.k3b.org
Source0: http://dl.sf.net/k3b/k3b-%{version}.tar.bz2
Source1: http://dl.sf.net/k3b/k3b-i18n-%{i18n_version}.tar.bz2
Source2: k3brc
Patch1: k3b-0.11.3-kde32.patch
Patch2: k3b-0.11.6-desktopfile.patch
Patch3: k3b-scsi.patch
Patch4: k3b-0.11.14-rdrw.patch
Patch5: k3b-0.11.14-version.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

ExcludeArch: s390 s390x

BuildRequires: kdelibs-devel >= 6:3.1, libart_lgpl-devel, arts-devel
BuildRequires: zlib-devel, libpng-devel, libjpeg-devel
BuildRequires: libvorbis-devel, audiofile-devel, flac-devel
BuildRequires: desktop-file-utils
BuildRequires: autoconf, gettext
BuildRequires: libmng-devel fam-devel glib2-devel alsa-lib-devel esound-devel
BuildRequires: libidn-devel

Requires: cdrecord, mkisofs
Provides: %{name}-devel = %{epoch}:%{version}-%{release}
Provides: %{name}-i18n = %{epoch}:%{version}-%{release}

Prereq: /sbin/ldconfig

%description
K3b provides a comfortable user interface to perform most CD/DVD
burning tasks. While the experienced user can take influence in all
steps of the burning process the beginner may find comfort in the
automatic settings and the reasonable k3b defaults which allow a quick
start.

%prep
%setup -q -a 1
%patch1 -p1 -b .forkde32
%patch2 -p1 -b .desktop-file-utils-0.3
%patch3 -p1 -b .scsi-devices
%patch4 -p1 -b .rdrw
%patch5 -p1 -b .version

# Make desktop icon file names compatible with GNOME.
sed -i 's,^Icon=k3b$,Icon=k3b.png,' src/k3b.desktop src/k3bsetup/k3bsetup2.desktop

%build
unset QTDIR
. /etc/profile.d/qt.sh
%configure --with-k3bsetup=no --disable-rpath
make %{?_smp_mflags}

# Build for i18n tarball
pushd %{name}-i18n-%{i18n_version}
%configure
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Install for i18n tarball
pushd %{name}-i18n-%{i18n_version}
make install DESTDIR=$RPM_BUILD_ROOT
popd

mkdir -p $RPM_BUILD_ROOT%{_datadir}/config
%{__install} -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/config/k3brc


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor kde --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Red-Hat-Base \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Multimedia/%{name}.desktop

# Empty directories.
rm -rf $RPM_BUILD_ROOT%{_datadir}/applnk

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section).
mkdir $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -s ../icons/crystalsvg/48x48/apps/k3b.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/k3b.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,755)
%doc AUTHORS README COPYING TODO INSTALL ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop

%{_datadir}/mimelnk/application/x-k3b.desktop

%{_includedir}/k3b*.h
%{_includedir}/kcutlabel.h

%{_libdir}/libk3b*.so.*
%{_libdir}/libk3b*.so
%{_libdir}/libk3b*.la

%{_libdir}/kde3/libk3b*.la
%{_libdir}/kde3/libk3b*.so

%{_datadir}/apps/k3b
%{_datadir}/apps/konqueror/servicemenus/*
%{_datadir}/config/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/sounds/*
%dir %{_datadir}/icons/crystalsvg/*/apps
%{_datadir}/icons/crystalsvg/*/apps/*.png
%doc %{_docdir}/HTML/en/*

# files from i18n
%lang(da) %doc %{_docdir}/HTML/da/*
%lang(de) %doc %{_docdir}/HTML/de/*
%lang(es) %doc %{_docdir}/HTML/es/*
%lang(et) %doc %{_docdir}/HTML/et/*
%lang(fr) %doc %{_docdir}/HTML/fr/*
%lang(pt) %doc %{_docdir}/HTML/pt/*
%lang(ru) %doc %{_docdir}/HTML/ru/*
%lang(sv) %doc %{_docdir}/HTML/sv/*

%changelog
* Tue Oct 05 2004 Harald Hoyer <harald@redhat.com> 0:0.11.14-2
- fixed version string parsing, which fixes bug 134642

* Wed Sep 01 2004 Harald Hoyer <harald@redhat.com> 0:0.11.14-1
- added k3b-0.11.14-rdrw.patch for kernel >= 2.6.8
- update to 0.11.14

* Fri Jun 25 2004 Bill Nottingham <notting@redhat.com> 0:0.11.12-2
- update to 0.11.12

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 0:0.11.11-1
- update to 0.11.11
- add prereq:/sbin/ldconfig

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 31 2004 Justin M. Forbes <64bit_fedora@comcast.net> - 0.11.10-1
- remove unnecesary [ -z "$QTDIR" ] check
- Update to 0.11.10 upstream 
- remove qt-devel BuildRequires, implied with kde-devel
- remove ldconfig Requires, implied
- remove i18n docbook patch, fixed upstream.

* Fri May 28 2004 Bill Nottingham <notting@redhat.com> - 0.11.9-5
- fix burning on SCSI CD-ROMS (#122096)

* Thu May 13 2004 Than Ngo <than@redhat.com> 0.11.9-4
- get rid of rpath

* Fri Apr 16 2004 Bill Nottingham <notting@redhat.com> - 0.11.9-3
- nuke k3bsetup
- use %%find_lang

* Thu Apr 15 2004 Justin M. Forbes <64bit_fedora@comcast.net> - 0.11.9-2
- Clean up i18n build to make improve maintainability

* Wed Apr 7 2004 Justin M. Forbes <64bit_fedora@comcast.net> - 0.11.9-1
- Update to 0.11.9 upstream
- Spec Cleanup for Fedora Core 2

* Wed Mar 18 2004 Justin M. Forbes <64bit_fedora@comcast.net> - 0.11.6-1
- Initial packaging of 0.11.6 for Fedora Core 2
- remove mp3 plugin build options
- add i18n package
- clean up for kde 3.2/FC2 target


